services:
    passerelle.queue:
        class: Libra\PasserelleQueue\PasserelleQueue
        metadata:
            logger_storage_extension.definition_key.logger_name: APP.PASSERELLE.QUEUE

factories:
    logger:
        class: Libra\Config\Factory\LoggerFactory

parameters:
    DB_PATH: '%env(DB_HOST)%'
    DB_PASSWORD: '%env(DB_PASSWORD)%'
    SESSION_NAME: 'session'
    DB_SESSION_LOGIN: 'session'
    DB_SESSION_PASS: '%env(DB_PASSWORD)%'
    DB_SESSION_NAME: 'session'
    DB_SESSION_PATH: '%env(DB_HOST)%'
    PASSERELLE_QUEUE_DAYS_BACKUP: 60

    FORCE_SMTP_TRANSPORT: '%env(FORCE_SMTP_TRANSPORT)%'
    SMTP_HOST: '%env(SMTP_HOST)%'
    SMTP_PORT: '%env(SMTP_PORT)%'
    SMTP_SECURE: '%env(SMTP_SECURE)%'
    SMTP_USERNAME: '%env(SMTP_USERNAME)%'
    SMTP_PASSWORD: '%env(SMTP_PASSWORD)%'
    SMTP_USE_INTERN: '%env(SMTP_USE_INTERN)%'

    FILE_BASE_URL : '%env(FILE_BASE_URL)%'